Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.animation.D2
Interface EditableRenderable2DInterface

All Superinterfaces:
  Renderable2DInterface

All Known Implementing Classes:
  EditableRenderable2D

public interface EditableRenderable2DInterface
extends Renderable2DInterface

This interface provides the functionality that editable animation objects must implement.

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.4
Version:
  1.2 Aug 3, 2004
Author:
  Peter Jacobs

Nested Class Summary

Nested classes inherited from class nl.tudelft.simulation.dsol.animation.D2.Renderable2DInterface
`Renderable2DInterface.Util`

Method Summary
`boolean` | `allowAddOrDeletePoints()` Is the user allowed to add or delete points of this editable?
`boolean` | `allowDelete()` Is the user allowed to delete this object?
`boolean` | `allowEditPoints()` Is the user allowed to edit individual points of this editable?
`boolean` | `allowMove()` Is the user allowed to move this editable?
`boolean` | `allowRotate()` Is the user allowed to rotate this editable?
`boolean` | `allowScale()` Is the user allowed to scale this editable?
`int` | `getMaxNumberOfPoints()` Get the maximum allowed number of points for this editable
`int` | `getMinNumberOfPoints()` Get the minimum allowed number of points for this editable
`boolean` | `isClosedShape()` Returns whether this shape is closed or open.

Methods inherited from interface nl.tudelft.simulation.dsol.animation.D2.Renderable2DInterface
`contains, destroy, getSource, paint`

Method Detail

### isClosedShape

    public boolean isClosedShape()
                          throws java.rmi.RemoteException

  Returns whether this shape is closed or open. For example an area is a closed shape while a trajectory is open (has ends).

  Returns:
    true or false
  Throws:
    `java.rmi.RemoteException` - RemoteException

### allowMove

    public boolean allowMove()
                      throws java.rmi.RemoteException

  Is the user allowed to move this editable?

  Returns:
    True or false
  Throws:
    `java.rmi.RemoteException` - RemoteException

### allowRotate

    public boolean allowRotate()
                        throws java.rmi.RemoteException

  Is the user allowed to rotate this editable?

  Returns:
    True or false
  Throws:
    `java.rmi.RemoteException` - RemoteException

### allowScale

    public boolean allowScale()
                       throws java.rmi.RemoteException

  Is the user allowed to scale this editable?

  Returns:
    True or false
  Throws:
    `java.rmi.RemoteException` - RemoteException

### allowEditPoints

    public boolean allowEditPoints()
                            throws java.rmi.RemoteException

  Is the user allowed to edit individual points of this editable?

  Returns:
    True or false
  Throws:
    `java.rmi.RemoteException` - RemoteException

### allowDelete

    public boolean allowDelete()
                        throws java.rmi.RemoteException

  Is the user allowed to delete this object?

  Returns:
    True or false
  Throws:
    `java.rmi.RemoteException` - RemoteException

### allowAddOrDeletePoints

    public boolean allowAddOrDeletePoints()
                                   throws java.rmi.RemoteException

  Is the user allowed to add or delete points of this editable?

  Returns:
    True or false
  Throws:
    `java.rmi.RemoteException` - RemoteException

### getMaxNumberOfPoints

    public int getMaxNumberOfPoints()
                             throws java.rmi.RemoteException

  Get the maximum allowed number of points for this editable

  Returns:
    Maximum number of points
  Throws:
    `java.rmi.RemoteException` - RemoteException

### getMinNumberOfPoints

    public int getMinNumberOfPoints()
                             throws java.rmi.RemoteException

  Get the minimum allowed number of points for this editable

  Returns:
    Minimum number of points
  Throws:
    `java.rmi.RemoteException` - RemoteException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.